Package org.opensaml.soap.wsaddressing.impl

# Class ReferenceParametersMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectMarshaller
org.opensaml.soap.wsaddressing.impl.ReferenceParametersMarshaller

All Implemented Interfaces:
  `Marshaller`

public class ReferenceParametersMarshaller extends AbstractWSAddressingObjectMarshaller
ReferenceParametersMarshaller.

## Constructor Summary

Constructors
Constructor
Description
`ReferenceParametersMarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`marshallAttributes(XMLObject xmlObject, Element domElement)`
Marshalls a given XMLObject into a W3C Element.

### Methods inherited from class org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectMarshaller

`marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferenceParametersMarshaller

public ReferenceParametersMarshaller()

## Method Details

### marshallAttributes

protected void marshallAttributes(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException
Marshalls a given XMLObject into a W3C Element. The given signing context should be blindly passed to the marshaller for child elements. The XMLObject passed to this method is guaranteed to be of the target name specified during this unmarshaller's construction. This default implementation of this method is a no-op

Overrides:
  `marshallAttributes` in class `AbstractWSAddressingObjectMarshaller`
Parameters:
  `xmlObject` - the XMLObject to marshall
  `domElement` - the W3C DOM element
Throws:
  `MarshallingException` - thrown if there is a problem marshalling the element